## sam2p 0.44

=== Makefile ===
#
# Makefile
# by pts@fazekas.hu at Sun Feb 24 16:20:15 CET 2002
# Sat Apr 20 19:14:11 CEST 2002
# ccdep.pl at Sat Jun  1 15:51:36 CEST 2002
#
# To create a .tar.gz, run: make MAKE_DIST=0 dist-noautoconf
# To install dist: make MAKE_DIST=0 dist-install
#

ifndef MAKE_DIST
include Makehelp
endif

BASH=bash
PERL_BADLANG=x
export PERL_BADLANG

CXXX=$(CXD_assert)
LDALL=$(LDXX) -s $(LDFLAGS) $(LIBS)
ifeq ($(ENABLE_DEBUG), no)
CXXX=$(CXD_no)
endif
ifeq ($(ENABLE_DEBUG), yes)
CXXX=$(CXD_yes)
LDALL=$(LDXX) $(LDFLAGS) $(LIBS)
endif
ifeq ($(ENABLE_DEBUG), checker)
CXXX=$(CXD_checker)
LDALL=checkerg++ $(LDFLAGS) $(LIBS)
endif

CXXALL=$(CXXX) $(CXXFLAGS) $(CXXFLAGSB)
CCALL =$(CXXX) $(CXXFLAGS) $(CXXFLAGSB)
CXDFAL=$(CXXFLAGS) $(CXXFLAGSB) $(LDFLAGS) $(LIBS)

.PHONY: clean dist dist-noautoconf dist-more allclean distclean dist-install
.PHONY: most all1 install

ifndef MAKE_DIST
  most: sam2p
  Makedep: ccdep.pl config.h; perl -x -S ./ccdep.pl --FAL=assert,no,yes,checker $(CXX)
  include Makedep
endif

all1: $(ALL)
# vvv for Epsilon at Thu Oct 31 09:58:58 CET 2002
IDE_MODES := release debug
IDE_TARGETS_debug := $(patsubst %,%.yes, $(TARGETS))
IDE_TARGETS_release := $(TARGETS)

CXD_assert =$(CXX) -s -O2
CXD_no     =$(CXX) -s -DNDEBUG -O3
# CXD_yes    =$(CXX) $(GFLAG) -lefence
CXD_yes    =$(CXX) $(GFLAG)
CXD_checker=checkerg++ $(GFLAG)

# .PHONY: clean dist allclean distclean

Makedep: config.h

xpmc.h: cols2.pl
	perl -x cols2.pl >xpmc.h

#HQ=perl -e'$$_=join"",<STDIN>; s@([^\w\.\/\-])@sprintf"\\%03o",ord$$1@ge; print "\"$$_\"\n"'
HQ=perl -x hq.pl
#%.tth: %.tte
#	<$< >$@	$(HQ)
#%.tth: %.ttm
#	<$< >$@	$(HQ)
%.tth: %.ttt
	$(HQ) <$< >$@

# Sun Sep 22 01:16:20 CEST 2002
L1_LIST=l1g8z.pst l1ghz.pst l1gbz.pst \
        l1g8l.pst l1ghl.pst l1gbl.pst
PREPROC_STRIP=perl -ne's@/\s+(?=\w)@/@g;print if!/^\#/&&!/^\s*\Z/'
L1_FLAGS=-DCFG_FMT_ZLIB_ONLY=1 -DNDEBUG=1 \
  -DCFG_NO_VAR_S=1 -DUSE_NO_BIND=1 -DUSE_SHORT_NAMES=1 \
  -DUSE_CURRENTFILE=1 -DUSE_NO_EOF=1 \
  -DUSE_UNITLENGTH_8 -DUSE_EARLYCHANGE_1 -DUSE_LOWBITFIRST_FALSE \
  -DUSE_NO_NULLDEF=1 -DUSE_PIN=1
# TTT_QUOTE=perl -e '$$s=$$_=join"",<STDIN>; s@%.*@@g; s@[(][^()]*[)]@@g; die if /[()\\]/ or $$ARGV[0]!~/^(\w+)/; print "\n% TTT_QUOTE\n/$$1 ($$s)\n\n"' --
TTT_QUOTE=perl -e '$$s=$$_=join"",<STDIN>; $$s=~s@([()\\])@\\$$1@g; die if $$ARGV[0]!~/^(\w+)/; print "\n% TTT_QUOTE\n/$$1 ($$s)\n\n"' --
# vvv Dat: input file for `g++ -E' must have .h extension
l1g8z.pst: l1zip.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1ghz.pst: l1zip.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1gbz.pst: l1zip.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1g8l.pst: l1lzw.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1ghl.pst: l1lzw.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
l1gbl.pst: l1lzw.psm psmlib.psm ps_tiny
	<$< >tmp.h perl -pe0
	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 tmp.h >tmp.i
	<tmp.i >tmp.pin $(PREPROC_STRIP)
	<tmp.pin >tmp.ps0 ./ps_tiny
	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
	mv -f tmp.pst $@
# vvv copy the .ttt, not the .tth
#     The perl program down there is a portable cat(1) implementation.
bts1.ttt: bts.ttt $(L1_LIST)
	perl -pe0 $^ >$@
bts2.ttt: bts1.ttt ps_tiny
	./ps_tiny --copy <$< >$@

clean:
	rm -f *~ a.out DEADJOE core *.o *.tth .rgd *.rgd tmp.pin tmp.i tmp.ps0 tmp.h tmp.pst autom4te.cache/*
	rm -f debian/changelog.dch debian/*~ 
	rm -f $(ALL) $(ALL:=.yes) $(ALL:=.no) $(ALL:=.assert) $(ALL:=.checker)
	-rmdir -- autom4te.cache
allclean: clean
	rm -f configure config.h Makehelp config.cache config.log \
	  config.status test.eps test.pdf build build-stamp
distclean: allclean
	-autoconf
dist: distclean dist-noautoconf
dist-noautoconf:
	chmod 755 configure
	$(BASH) mkdist.sh
# vvv Create a distribution with more files to aid compilation
dist-more: bts2.tth
	$(BASH) mkdist.sh sam2p-more bts2.tth
dist-install: dist-noautoconf
	chmod 600 ../sam2p-*.tar.gz
	scp ../sam2p-*.tar.gz k:public_html

install: sam2p
	-mkdir -p '$(bindir)'
	cp -a sam2p '$(bindir)'

# __END__ of Makefile

## sam2p 0.45

=== Makefile ===
--- 
+++ 
@@ -35,10 +35,10 @@
 CXDFAL=$(CXXFLAGS) $(CXXFLAGSB) $(LDFLAGS) $(LIBS)
 
 .PHONY: clean dist dist-noautoconf dist-more allclean distclean dist-install
-.PHONY: most all1 install
+.PHONY: most all all1 install
 
 ifndef MAKE_DIST
-  most: sam2p
+  most all: sam2p
   Makedep: ccdep.pl config.h; perl -x -S ./ccdep.pl --FAL=assert,no,yes,checker $(CXX)
   include Makedep
 endif
@@ -151,7 +151,7 @@
 	$(BASH) mkdist.sh sam2p-more bts2.tth
 dist-install: dist-noautoconf
 	chmod 600 ../sam2p-*.tar.gz
-	scp ../sam2p-*.tar.gz k:public_html
+	scp ../sam2p-*.tar.gz kozma:public_html
 
 install: sam2p
 	-mkdir -p '$(bindir)'

## sam2p 0.47

=== Makefile ===
--- 
+++ 
@@ -84,47 +84,47 @@
 TTT_QUOTE=perl -e '$$s=$$_=join"",<STDIN>; $$s=~s@([()\\])@\\$$1@g; die if $$ARGV[0]!~/^(\w+)/; print "\n% TTT_QUOTE\n/$$1 ($$s)\n\n"' --
 # vvv Dat: input file for `g++ -E' must have .h extension
 l1g8z.pst: l1zip.psm psmlib.psm ps_tiny
-	<$< >tmp.h perl -pe0
-	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 tmp.h >tmp.i
-	<tmp.i >tmp.pin $(PREPROC_STRIP)
-	<tmp.pin >tmp.ps0 ./ps_tiny
-	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
-	mv -f tmp.pst $@
+	<$< >$@.tmp.h perl -pe0
+	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 $@.tmp.h >$@.tmp.i
+	<$@.tmp.i >$@.tmp.pin $(PREPROC_STRIP)
+	<$@.tmp.pin >$@.tmp.ps0 ./ps_tiny
+	<$@.tmp.ps0 >$@.tmp.pst $(TTT_QUOTE) $@
+	mv -f $@.tmp.pst $@
 l1ghz.pst: l1zip.psm psmlib.psm ps_tiny
-	<$< >tmp.h perl -pe0
-	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 tmp.h >tmp.i
-	<tmp.i >tmp.pin $(PREPROC_STRIP)
-	<tmp.pin >tmp.ps0 ./ps_tiny
-	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
-	mv -f tmp.pst $@
+	<$< >$@.tmp.h perl -pe0
+	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 $@.tmp.h >$@.tmp.i
+	<$@.tmp.i >$@.tmp.pin $(PREPROC_STRIP)
+	<$@.tmp.pin >$@.tmp.ps0 ./ps_tiny
+	<$@.tmp.ps0 >$@.tmp.pst $(TTT_QUOTE) $@
+	mv -f $@.tmp.pst $@
 l1gbz.pst: l1zip.psm psmlib.psm ps_tiny
-	<$< >tmp.h perl -pe0
-	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 tmp.h >tmp.i
-	<tmp.i >tmp.pin $(PREPROC_STRIP)
-	<tmp.pin >tmp.ps0 ./ps_tiny
-	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
-	mv -f tmp.pst $@
+	<$< >$@.tmp.h perl -pe0
+	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 $@.tmp.h >$@.tmp.i
+	<$@.tmp.i >$@.tmp.pin $(PREPROC_STRIP)
+	<$@.tmp.pin >$@.tmp.ps0 ./ps_tiny
+	<$@.tmp.ps0 >$@.tmp.pst $(TTT_QUOTE) $@
+	mv -f $@.tmp.pst $@
 l1g8l.pst: l1lzw.psm psmlib.psm ps_tiny
-	<$< >tmp.h perl -pe0
-	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 tmp.h >tmp.i
-	<tmp.i >tmp.pin $(PREPROC_STRIP)
-	<tmp.pin >tmp.ps0 ./ps_tiny
-	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
-	mv -f tmp.pst $@
+	<$< >$@.tmp.h perl -pe0
+	$(CXX) -E $(L1_FLAGS) -DUSE_A85D=1 $@.tmp.h >$@.tmp.i
+	<$@.tmp.i >$@.tmp.pin $(PREPROC_STRIP)
+	<$@.tmp.pin >$@.tmp.ps0 ./ps_tiny
+	<$@.tmp.ps0 >$@.tmp.pst $(TTT_QUOTE) $@
+	mv -f $@.tmp.pst $@
 l1ghl.pst: l1lzw.psm psmlib.psm ps_tiny
-	<$< >tmp.h perl -pe0
-	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 tmp.h >tmp.i
-	<tmp.i >tmp.pin $(PREPROC_STRIP)
-	<tmp.pin >tmp.ps0 ./ps_tiny
-	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
-	mv -f tmp.pst $@
+	<$< >$@.tmp.h perl -pe0
+	$(CXX) -E $(L1_FLAGS) -DUSE_HEXD=1 $@.tmp.h >$@.tmp.i
+	<$@.tmp.i >$@.tmp.pin $(PREPROC_STRIP)
+	<$@.tmp.pin >$@.tmp.ps0 ./ps_tiny
+	<$@.tmp.ps0 >$@.tmp.pst $(TTT_QUOTE) $@
+	mv -f $@.tmp.pst $@
 l1gbl.pst: l1lzw.psm psmlib.psm ps_tiny
-	<$< >tmp.h perl -pe0
-	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 tmp.h >tmp.i
-	<tmp.i >tmp.pin $(PREPROC_STRIP)
-	<tmp.pin >tmp.ps0 ./ps_tiny
-	<tmp.ps0 >tmp.pst $(TTT_QUOTE) $@
-	mv -f tmp.pst $@
+	<$< >$@.tmp.h perl -pe0
+	$(CXX) -E $(L1_FLAGS) -DUSE_BINARY=1 $@.tmp.h >$@.tmp.i
+	<$@.tmp.i >$@.tmp.pin $(PREPROC_STRIP)
+	<$@.tmp.pin >$@.tmp.ps0 ./ps_tiny
+	<$@.tmp.ps0 >$@.tmp.pst $(TTT_QUOTE) $@
+	mv -f $@.tmp.pst $@
 # vvv copy the .ttt, not the .tth
 #     The perl program down there is a portable cat(1) implementation.
 bts1.ttt: bts.ttt $(L1_LIST)
@@ -133,7 +133,7 @@
 	./ps_tiny --copy <$< >$@
 
 clean:
-	rm -f *~ a.out DEADJOE core *.o *.tth .rgd *.rgd tmp.pin tmp.i tmp.ps0 tmp.h tmp.pst autom4te.cache/*
+	rm -f *~ a.out DEADJOE core *.o *.tth .rgd *.rgd *.tmp.pin *.tmp.i *.tmp.ps0 *.tmp.h *.tmp.pst autom4te.cache/*
 	rm -f debian/changelog.dch debian/*~ 
 	rm -f $(ALL) $(ALL:=.yes) $(ALL:=.no) $(ALL:=.assert) $(ALL:=.checker)
 	-rmdir -- autom4te.cache

## sam2p 0.49

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,8 @@
 CCALL =$(CXXX) $(CXXFLAGS) $(CXXFLAGSB)
 CXDFAL=$(CXXFLAGS) $(CXXFLAGSB) $(LDFLAGS) $(LIBS)
 
+SAM2P_VERSION=$(shell $(BASH) ./mkdist.sh --getversion)
+
 .PHONY: clean dist dist-noautoconf dist-more allclean distclean dist-install
 .PHONY: most all all1 install
 
@@ -58,6 +60,15 @@
 # .PHONY: clean dist allclean distclean
 
 Makedep: config.h
+
+sam2p_version.h: debian/changelog
+	(echo '/* Generated automatically by Makefile. */' && \
+	 echo '#ifndef SAM2P_VERSION_H' && \
+	 echo '#define SAM2P_VERSION_H 1' && \
+	 echo '#define SAM2P_VERSION "$(SAM2P_VERSION)"' && \
+	 echo '#endif') >$@
+
+sam2p_main.o: sam2p_version.h
 
 xpmc.h: cols2.pl
 	perl -x cols2.pl >xpmc.h
@@ -133,10 +144,10 @@
 	./ps_tiny --copy <$< >$@
 
 clean:
-	rm -f *~ a.out DEADJOE core *.o *.tth .rgd *.rgd *.tmp.pin *.tmp.i *.tmp.ps0 *.tmp.h *.tmp.pst autom4te.cache/*
+	rm -f *~ a.out DEADJOE core *.o *.tth .rgd *.rgd *.tmp.pin *.tmp.i *.tmp.ps0 *.tmp.h *.tmp.pst autom4te.cache/* sam2p_version.h
 	rm -f debian/changelog.dch debian/*~ 
 	rm -f $(ALL) $(ALL:=.yes) $(ALL:=.no) $(ALL:=.assert) $(ALL:=.checker)
-	-rmdir -- autom4te.cache
+	test ! -d autom4te.cache || rmdir autom4te.cache
 allclean: clean
 	rm -f configure config.h Makehelp config.cache config.log \
 	  config.status test.eps test.pdf build build-stamp
@@ -145,16 +156,18 @@
 dist: distclean dist-noautoconf
 dist-noautoconf:
 	chmod 755 configure
-	$(BASH) mkdist.sh
+	$(BASH) ./mkdist.sh
 # vvv Create a distribution with more files to aid compilation
 dist-more: bts2.tth
-	$(BASH) mkdist.sh sam2p-more bts2.tth
+	$(BASH) ./mkdist.sh sam2p-more bts2.tth
 dist-install: dist-noautoconf
 	chmod 600 ../sam2p-*.tar.gz
 	scp ../sam2p-*.tar.gz kozma:public_html
 
+# Mac OS/X cp doesn't have -a, so we don't use it
 install: sam2p
 	-mkdir -p '$(bindir)'
-	cp -a sam2p '$(bindir)'
+	cp sam2p '$(bindir)'
+	chmod 755 '$(bindir)'/sam2p
 
 # __END__ of Makefile

=== debian/changelog ===
sam2p (0.49-1) unstable; urgency=low

  [ Tanguy Ortolo ]
  * New upstream version.
  * debian/patches/02_show_whole_version.patch: not needed anymore.
  * debian/rules:
    - adapt the configure workaround.
    - install upstream changelog from its new location
      debian/changelog.upstream, see below.
    - remove a useless DIST_CLEAN=1 in the clean feature, and work around the
      upstream make clean to keep the configure script it tries to remove.
    - remove a wrong duplicated example.
    - add an LDFLAG to only link to needed libraries.
  * debian/patches: removed two patches which do not seem needed anymore:
    - 04_fix_gcc_4.3_FTBFS_420983.patch.
    - 06_fix_makedep.patch.
  * debian/README.source: update to match the new packaging context:
    - document quilt instead of dpatch.
    - original debian directory is removed by dpkg-source.
    - document the upstream Git branch use.
  * debian/changelog.upstream: keep upstream changelog here.
  * debian/clean: removed unused targets.
  * debian/control: updated Standards-Version, no change needed.

  [ Stefan Fritsch ]
  * Move Tanguy to Maintainer and myself to Uploaders.
  * Set DM-Upload-Allowed: yes

 -- Stefan Fritsch <sf@debian.org>  Sun, 27 Nov 2011 19:55:53 +0100

sam2p (0.47-1-4) UNRELEASED; urgency=low

  * debian/control:
    - put myself in Uploaders, adopting the package. (Closes: #619846)
    - add Vcs-* fields.
  * debian/watch: fix.
  * debian/copyright: switch to DEP-5 machine-readable format.
  * debian/source/format, debian/patches, debian/rules, debian/control: switch
    to dpkg-source 3.0 (quilt) format and stop using dpatch.
  * debian/patches/*.patch: switch to DEP-3 tagging format.
  * debian/rules:
    - switched to dh7 catchall-style.
    - removed get-orig-source: useless, we have uscan for that.
  * debian/examples: use dh_installexamples to install the example files.
  * debian/sam2p.1: correct a typo (ouput instead of output).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 01 Nov 2011 16:21:42 +0100

sam2p (0.47-1-3) unstable; urgency=low

  * Trick the build system into working with gcc 4.5. Closes: #615685
  * Bump standards-version: no changes
  * Add debian/source/format

 -- Stefan Fritsch <sf@debian.org>  Fri, 04 Mar 2011 19:47:32 +0100

sam2p (0.47-1-2) unstable; urgency=low

  * Clean up rules file and convert to debhelper's dh.
  * Add watch file.

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 Dec 2009 20:29:27 +0100

sam2p (0.47-1-1) unstable; urgency=low

  * New upstream version.
  * Include sam2p_pdf_scale script from upstream svn r105 (closes: #557864).
  * Bump standards-version:
    - add README.source
  * Fix some lintian warnings:
    - point to GPL-2 in copyright file
    - bump debhelper compatibility level

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Nov 2009 18:45:59 +0100

sam2p (0.45-3-3) unstable; urgency=low

  * Fix bashism in debian/rules (closes: #478624).
  * Bump Standards-Version (no changes).
  * Convert copyright file to utf8.

 -- Stefan Fritsch <sf@debian.org>  Tue, 06 May 2008 17:16:13 +0200

sam2p (0.45-3-2) unstable; urgency=low

  * Fix handling of nostrip build option (Closes: #437946)
  * Fix some lintian warnings

 -- Stefan Fritsch <sf@debian.org>  Mon, 03 Sep 2007 21:14:20 +0200

sam2p (0.45-3-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with gcc 4.3 pre-release (Closes: #420983)
  * Fix FSF address
  * Fix manpage encoding
  * Convert build system to dpatch
  * Bump Standards-Version (no changes)
  * New maintainer email address

 -- Stefan Fritsch <sf@debian.org>  Wed, 02 May 2007 19:49:20 +0200

sam2p (0.44-13-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with gcc-4.0.1 (Closes: #324573)
    - Adds -j:quiet option (Closes: #324738)
  * Avoid error message from child shell
  * Make -v display full upstream version

 -- Stefan Fritsch <sf@sfritsch.de>  Fri, 26 Aug 2005 17:47:32 +0200

sam2p (0.44-11-1) unstable; urgency=low

  * New upstream release
    - contains partial fix for bug #315046: gsview complains about
      %%BeginData: <entry missing>
  * set Standards-Version to 3.6.2 (no changes needed)

 -- Stefan Fritsch <sf@sfritsch.de>  Tue, 21 Jun 2005 22:33:39 +0200

sam2p (0.44-10-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with gcc-4.0 and problems on 64bit arches
      Closes: #303723

 -- Stefan Fritsch <sf@sfritsch.de>  Sun, 17 Apr 2005 14:48:42 +0200

sam2p (0.44-8-1) unstable; urgency=low

  * New upstream release
  * Update manpage

 -- Stefan Fritsch <sf@sfritsch.de>  Tue, 22 Feb 2005 13:38:41 +0100

sam2p (0.44-7-1) unstable; urgency=low

  * Initial Release. (Closes: #276489)

 -- Stefan Fritsch <sf@sfritsch.de>  Wed, 12 Jan 2005 17:51:51 +0100

=== debian/control ===
Source: sam2p
Section: graphics
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Uploaders: Stefan Fritsch <sf@debian.org>
Build-Depends: debhelper (>= 7.0.50~), perl
Homepage: http://code.google.com/p/sam2p/
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/sam2p.git/
Vcs-Browser: http://git.debian.org/?p=collab-maint/sam2p.git
DM-Upload-Allowed: yes

Package: sam2p
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: netpbm, libjpeg-progs
Description: convert raster images to EPS, PDF, and other formats
 sam2p is a command line utility that converts many raster
 (bitmap) image formats like GIF, JPG/JPEG, and PNG into
 PostScript or PDF files. PS or EPS files created by sam2p are
 usually not much larger than the source file.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	# Work around the broken insane build system
	touch bts2.tth sam2p_version.h stdafx.h
	dh_auto_configure -- --enable-gif --enable-lzw
	rm bts2.tth sam2p_version.h stdafx.h

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/sam2p/usr

override_dh_install:
	dh_install
	perl -0777 -p -e 's{.*?http://www.inf.bme.hu/~pts/Magic.Perl.Header\s*$$}{#!/usr/bin/perl -w}ms' \
		< debian/sam2p_pdf_scale.pl > debian/sam2p/usr/bin/sam2p_pdf_scale

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installexamples:
	dh_installexamples
	# Removing a duplicate file (the other name, sam2p_fishg.job, is the
	# correct one, cf. its content)
	rm $(CURDIR)/debian/sam2p/usr/share/doc/sam2p/examples/sam2p_fisht.job

override_dh_auto_test:

override_dh_auto_clean:
	# Work around the annoying configure removal by make clean
	ln configure configure.bak
	dh_auto_clean
	mv configure.bak configure

## sam2p 0.49.1

=== debian/changelog ===
sam2p (0.49.1-1) unstable; urgency=low

  * New upstream version.
  * debian/changelog.upstream: updated from original debian/changelog.
  * debian/clean: clean debian/sam2p_pdf_scale.1.
  * debian/control: depends on what it takes to compile DocBook to troff.
  * debian/dirs: removed (useless).
  * debian/sam2p.manpages: install debian/sam2p_pdf_scale.1.
  * debian/rules:
    - removed a configure workaround for a problem which has been fixed
      upstream.
    - use sam2p_pdf_scale.pl instead of debian/sam2p_pdf_scale.pl.
    - compile debian/sam2p_pdf_scale.1.xml.
  * debian/sam2p_pdf_scale.pl: removed (now provided by upstream)
  * debian/sam2p_pdf_scale.1.xml: a manpage for sam2p_pdf_scale.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 15 Dec 2011 23:53:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Uploaders: Stefan Fritsch <sf@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), perl
+Build-Depends: debhelper (>= 7.0.50~), perl, docbook-xsl-ns, xsltproc
 Homepage: http://code.google.com/p/sam2p/
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/sam2p.git/

## sam2p 0.49.2

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 # .PHONY: clean dist allclean distclean
 
-Makedep: config.h
+Makedep: config.h sam2p_version.h
 
 sam2p_version.h: debian/changelog
 	(echo '/* Generated automatically by Makefile. */' && \

=== debian/changelog ===
sam2p (0.49.2-3) unstable; urgency=medium

  * debian/sam2p.1: correct the documentation of -m:dpi:RES and document
    -m:dpi:-RES. (Closes: #619824)
  * debian/control: update Standards-Version to 3.9.5 (no change needed).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 31 Aug 2014 18:06:07 +0200

sam2p (0.49.2-2.1) UNRELEASED; urgency=low

  * Remove myself from Uploaders

 -- Stefan Fritsch <sf@debian.org>  Sun, 03 Nov 2013 10:49:03 +0100

sam2p (0.49.2-2) unstable; urgency=low

  * debian/rules: manually clean files instead of relying on the make clean
    target, which depends on a file generated by the configure script, thus
    unusable before buildining. (Closes: #724468)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 24 Sep 2013 21:59:01 +0200

sam2p (0.49.2-1) unstable; urgency=low

  * New upstream version. (Closes: #721142)
  * debian/patches: remove patches integrated by upstream
     - 06_update-ccdep.patch
     - 07_fix-rule.hpp.patch

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 08 Sep 2013 18:47:53 +0200

sam2p (0.49.1-2) unstable; urgency=low

  * debian/sam2p.1: various small spelling and cosmetic corrections.
  * debian/sam2p_pdf_scale.1.xml: fix a typo in the copyright date.
  * debian/patches: patches to prevent FTBFS with GCC 4.8 (Closes: #701351)
    - 06_update-ccdep.patch: update ccdep.pl to take into account GCC 4.8
      error messages.
    - 07_fix-rule.hpp.patch: fix a syntax error in rule.hpp.
  * debian/compat: switch to dh 9 for hardening.
  * debian/patches/08_respect-cxxflags.patch: make the Makefile take into
    account hardening build flags.
  * debian/rules: make configure restoration workaround more resilient (when
    the backup file is already there).
  * debian/control:
     - remove obsolete field DM-Upload-Allowed.
     - switch to dh 9 for hardening.
     - update Vcs-* fields with canonical URLs (for Policy 3.9.4).
     - update Standards-Versions to 3.9.4 (need to update Vcs-* fields).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 13 Aug 2013 21:40:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Uploaders: Stefan Fritsch <sf@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), perl, docbook-xsl-ns, xsltproc
+Build-Depends: debhelper (>= 9~), perl, docbook-xsl-ns, xsltproc
 Homepage: http://code.google.com/p/sam2p/
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/collab-maint/sam2p.git/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sam2p.git
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/sam2p.git/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sam2p.git
 
 Package: sam2p
 Architecture: any
